Bug 113729 - bind crash - assertion failure
bind crash - assertion failure
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-01-16 16:33 EST by Mark Dahmke
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-21 14:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Dahmke 2004-01-16 16:33:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; (R1 

Description of problem:
Jan 16 14:26:53 mail named[1093]: rdataset.c:115: REQUIRE
((((rdataset) != ((void
 *)0)) && (((const isc__magic_t *)(rdataset))->magic == ((('D') << 24 
| ('N') <<
 16 | ('S') << 8 | ('R')))))) failed
Jan 16 14:26:53 mail named[1093]: exiting (due to assertion failure)

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:

Currently running kernel-2.4.9-e.30.  Similar crash occured about a 
week ago  - named crashed, but after restarting, I got a kernel panic 
(kernel-2.4.9-e.24). Today's named crash did not produce a kernel 

The last time it happened the log showed only this:
named[20404]: exiting (due to early fatal error)
Comment 1 Daniel Walsh 2004-01-21 14:59:05 EST
Please update to the latest bind package on Rawhide.  There are
several fixes for Denial of Service attacks.

Note You need to log in before you can comment on or make changes to this bug.